| Home | Libraries | People | FAQ | More

## Class template ostream_month_formatter

boost::date_time::ostream_month_formatter —

Formats a month as as string into an ostream.

## Synopsis

    template<typename facet_type, typename charT = char>
    class ostream_month_formatter {
    public:
      // types
      typedef facet_type::month_type      month_type;
      typedef std::basic_ostream< charT > ostream_type;

      // public static functions
      void format_month(const month_type &, ostream_type &, const facet_type &) ;
    };

## Description

### `ostream_month_formatter` public static functions

1.     void format_month(const month_type & month, ostream_type & os,
                         const facet_type & f) ;

   Formats a month as as string into an output iterator.

| Copyright © 2001-2004 CrystalClear Software, Inc